API Reference
Search source documents
Search public source documents behind Soria datasets.
POST
/
search
/
documents
Search Documents
curl --request POST \
--url https://api.soriaanalytics.com/v1/search/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 10,
"ticker": "<string>",
"form": "<string>",
"fiscal_year": 123,
"date_from": "<string>",
"date_to": "<string>"
}
'import requests
url = "https://api.soriaanalytics.com/v1/search/documents"
payload = {
"query": "<string>",
"limit": 10,
"ticker": "<string>",
"form": "<string>",
"fiscal_year": 123,
"date_from": "<string>",
"date_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
limit: 10,
ticker: '<string>',
form: '<string>',
fiscal_year: 123,
date_from: '<string>',
date_to: '<string>'
})
};
fetch('https://api.soriaanalytics.com/v1/search/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soriaanalytics.com/v1/search/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'limit' => 10,
'ticker' => '<string>',
'form' => '<string>',
'fiscal_year' => 123,
'date_from' => '<string>',
'date_to' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.soriaanalytics.com/v1/search/documents"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"limit\": 10,\n \"ticker\": \"<string>\",\n \"form\": \"<string>\",\n \"fiscal_year\": 123,\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.soriaanalytics.com/v1/search/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"limit\": 10,\n \"ticker\": \"<string>\",\n \"form\": \"<string>\",\n \"fiscal_year\": 123,\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soriaanalytics.com/v1/search/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"limit\": 10,\n \"ticker\": \"<string>\",\n \"form\": \"<string>\",\n \"fiscal_year\": 123,\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Natural-language search query.
Required string length:
1 - 2000Maximum source-document matches.
Required range:
1 <= x <= 50Optional company ticker filter.
Optional filing form filter, such as 10-K or 10-Q.
Optional fiscal year filter.
Inclusive ISO date lower bound.
Exclusive ISO date upper bound.
Response
Successful Response
Formatted, citation-ready source-document matches.
⌘I
Search Documents
curl --request POST \
--url https://api.soriaanalytics.com/v1/search/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 10,
"ticker": "<string>",
"form": "<string>",
"fiscal_year": 123,
"date_from": "<string>",
"date_to": "<string>"
}
'import requests
url = "https://api.soriaanalytics.com/v1/search/documents"
payload = {
"query": "<string>",
"limit": 10,
"ticker": "<string>",
"form": "<string>",
"fiscal_year": 123,
"date_from": "<string>",
"date_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
limit: 10,
ticker: '<string>',
form: '<string>',
fiscal_year: 123,
date_from: '<string>',
date_to: '<string>'
})
};
fetch('https://api.soriaanalytics.com/v1/search/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soriaanalytics.com/v1/search/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'limit' => 10,
'ticker' => '<string>',
'form' => '<string>',
'fiscal_year' => 123,
'date_from' => '<string>',
'date_to' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.soriaanalytics.com/v1/search/documents"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"limit\": 10,\n \"ticker\": \"<string>\",\n \"form\": \"<string>\",\n \"fiscal_year\": 123,\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.soriaanalytics.com/v1/search/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"limit\": 10,\n \"ticker\": \"<string>\",\n \"form\": \"<string>\",\n \"fiscal_year\": 123,\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soriaanalytics.com/v1/search/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"limit\": 10,\n \"ticker\": \"<string>\",\n \"form\": \"<string>\",\n \"fiscal_year\": 123,\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}